# -*- coding: utf-8 -*-

from datetime import datetime
from pathlib import Path
import pytest

from . import check_bad_imports
from mmp.a7 import main, dataset


current_assignment = pytest.mark.skipif(
    not (datetime(2025, 12, 11) <= datetime.now() <= datetime(2025, 12, 17, 23, 59, 59)),
    reason="This is not the current assignment.",
)


@current_assignment
def test_no_abs_import():
    paths = list(Path().glob("mmp/a7/*.py"))
    check_bad_imports(paths)


@current_assignment
def test_main():
    main.main


@current_assignment
def test_dataset():
    dataset.MMP_Dataset
    dataset.get_dataloader
